Loading...
Searching...
No Matches
csr_concat.h File Reference

Go to the source code of this file.

## Classes

struct | vec_trans< T, M >
struct | vector_vec_trans< T, M >
class | csr_concat_value< T, M >
class | csr_concat_line< T, M >
class | csr_concat< T, M >

## Namespaces

namespace | rheolef
| This file is part of Rheolef.
namespace | rheolef::details

## Macros

#define | RHEOLEF_csr_cstor(M)

## Functions

template<class T , class M >
details::vec_trans< T, M > | trans (const vec< T, M > &w)
template<class T , class M >
details::vector_vec_trans< T, M > | trans (const std::vector< vec< T, M > > &w)

## Macro Definition Documentation

## RHEOLEF_csr_cstor

#define RHEOLEF_csr_cstor | ( |  | M | ) |

Value:
template <class T> \
inline \
int \
csr<T,M>::constraint_process_rank() const \
{ \
return details::constraint_process_rank (row_ownership().comm()); \
} \
template <class T> \
inline \
csr<T,M>::csr (const std::initializer_list<details::csr_concat_value<T,M> >& init_list) \
{ \
details::csr_concat_line<T,M> cc (init_list); \
csr<T,M>::operator= (cc.build_csr()); \
} \
template <class T> \
inline \
csr<T,M>::csr (const std::initializer_list<details::csr_concat_line<T,M> >& init_list) \
{ \
details::csr_concat<T,M> cc (init_list); \
csr<T,M>::operator= (cc.build_csr()); \
}

Definition at line 231 of file csr_concat.h.